using System.Net;

namespace Pilz.Net.Api;

public class ApiException : Exception
{
    public HttpStatusCode StatusCode { get; }

    public ApiException()
    {
    }

    public ApiException(string? message, HttpStatusCode statusCode) : base(message)
    {
        StatusCode = statusCode;
    }

    public ApiException(string? message) : base(message)
    {
    }

    public ApiException(string? message, Exception? innerException) : base(message, innerException)
    {
    }
}
